NETWORK_CPE-DEVICE-SHAPE-DETAIL(1)

NAME
network_cpe-device-shape-detail -

DESCRIPTION

The detailed information about a particular CPE device type. Compare with CpeDeviceShapeSummary <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/CpeDeviceShapeSummary/>.

AVAILABLE COMMANDS

•   get-cpe-device-shape

  get-cpe-device-shape

  Description

Gets the detailed information about the specified CPE device type. This might include a set of questions that are specific to the particular CPE device type. The customer must supply answers to those questions (see UpdateTunnelCpeDeviceConfig <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/UpdateTunnelCpeDeviceConfig>). The service merges the answers with a template of other information for the CPE device type. The following operations return the merged content:

•   GetCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/Cpe/GetCpeDeviceConfigContent> * GetIpsecCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/IPSecConnection/GetIpsecCpeDeviceConfigContent> * GetTunnelCpeDeviceConfigContent <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/TunnelCpeDeviceConfig/GetTunnelCpeDeviceConfigContent>

  Usage

oci network cpe-device-shape-detail get-cpe-device-shape [OPTIONS]

  Required Parameters

--cpe-device-shape-id [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the CPE device shape.

  Optional Parameters

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle